# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'rb_bins/version'

Gem::Specification.new do |spec|
  spec.name          = "rb_bins"
  spec.version       = RbBins::VERSION
  spec.authors       = ["Yu-Hung Lin"]
  spec.email         = ["yuhung@yuhunglin.com"]

  spec.summary       = "ruby shell executables to make my life easier"
  spec.description   = "ruby shell executables to make my life easier"
  spec.homepage      = "https://github.com/yuhunglin/rb_bins"
  spec.license       = "MIT"

  # Prevent pushing this gem to RubyGems.org. To allow pushes either set the 'allowed_push_host'
  # to allow pushing to a single host or delete this section to allow pushing to any host.
  #if spec.respond_to?(:metadata)
    #spec.metadata['allowed_push_host'] = "TODO: Set to 'http://mygemserver.com'"
  #else
    #raise "RubyGems 2.0 or newer is required to protect against public gem pushes."
  #end

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_dependency "thor", "~> 0.19.1"
  spec.add_dependency "dotenv", "~> 2.1.0"
  spec.add_dependency "fileutils"
  spec.add_dependency "filesize"
  spec.add_dependency "colorize"

  spec.add_development_dependency "bundler", "~> 1.12"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "awesome_print", "~> 1.6.1"
  spec.add_development_dependency "pry-byebug"
end
